{% extends 'teams/base.html' %}

{% block content %}
<div class="container">
     {% if player.is_approved == True %}
            <div class="player-detail_is_approved">
        {% else %}
            <div class="player-detail_is_not_approved">
        {% endif %}
    <div class="player-detail">
        <img src="{{ MEDIA_URL }}{{player.photo.name}}" alt="" class="img_photo">
        <div class="player-name">Фамилия: {{ player.lastname }}</div>
        <div class="player-name">Имя: {{ player.firstname }}</div>
        <div class="player-growth">Рост: {{ player.growth }}</div>
        <div class="player-year_of_birth">Год рождения: {{ player.year_of_birth }}</div>
        <div class="player-role">Амплуа: {{ player.role.name }}</div>
        <div>
            Команда:
            <a class="player-team_name" href="{% url 'one-team' player.team_name.id %} ">
                {{ player.team_name.name }}
            </a>
        </div>
        <div class="player-division_name">Дивизион: {{ player.division_name.name }}</div>
    </div>
</div>
{% endblock %}
{% block styles %}
<style>
        .container {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            min-height: 1vh;

        }

        .player-detail_is_approved {
            display: flex;
            flex-direction: column;
            border: 3px solid rgb(135, 206, 250);
            border-radius: 15px;
            padding: 1px;
            font-size: 24px;
        }

        .player-detail_is_not_approved {
            display: flex;
            flex-direction: column;
            border: 3px solid rgb(135, 206, 250);
            background: rgba(255, 0, 0, 0.5);
            border-radius: 15px;
            padding: 1px;
            font-size: 24px;
        }

        .img_photo{
            width = 250px;
            height: 250px;
            border-radius: 15px;
        }

        .player-team_name{
            text-decoration: none;

        }




</style>
{% endblock %}